Get Records

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets/{recordSetId}/records

Get records for the selected RecordSet.

Note: similar to the iForm API, you can use limit and offset to control the data being returned. If not defined, the default limit is 100 records.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

Query parameters

  • offset number

    skip that many records before beginning to return Example: 0

  • limit number

    maximum count of the records returned Example: 100.

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attribute Show response attribute object
    • id string

      id of the Record

GET /dataflows/{dataflowId}/recordsets/{recordSetId}/records
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/records' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "CREATED_BY": "gnosiz",
    "CREATED_DATE": "2015-07-01 10:26:47 +0000",
    "CREATED_DEVICE_ID": "Server",
    "CREATED_LOCATION": "Server",
    "ID": "9",
    "MODIFIED_BY": "gnosiz",
    "MODIFIED_DATE": "2015-07-01 10:26:47 +0000",
    "MODIFIED_DEVICE_ID": "Server",
    "MODIFIED_LOCATION": "Server",
    "PARENT_ELEMENT_ID": "0",
    "PARENT_PAGE_ID": "0",
    "PARENT_RECORD_ID": "0",
    "SERVER_MODIFIED_DATE": "2015-07-01 10:26:47 +0000",
    "_id": "570c2d9306d0249655af393c",
    "color": "Silver",
    "make": "Ford",
    "year": "2017"
  }
]